<?php

namespace OPTN;

final class CountryDecoder {

	private static $country_map = null;

	private static function get_country_map() {
		if ( empty( self::$country_map ) ) {
			self::$country_map = wp_json_file_decode( OPTN_DIR . '/includes/country.json', array( 'associative' => true ) );
		}

		return self::$country_map;
	}

	public static function decode( $code ) {
		$code = strtoupper( $code );

		$country_map = self::get_country_map();

		return isset( $country_map[ $code ] ) ? $country_map[ $code ] : null;
	}

	public static function get_dom_pct( $count ) {
		$country_map = self::get_country_map();

		$country_count = count( $country_map );

		return $country_count === 0 ? 0 : min( round( ( $count / $country_count ) * 100, 2 ), 100 );
	}
}
