<?php
/**
 * Plugin Name:       WowOptin
 * Description:       A WordPress Optin plugin helps capture visitor info through customizable forms to grow your email list and boost lead generation!
 * Requires at least: 6.1
 * Requires PHP:      7.0
 * Version:           1.0.0
 * Author:            WPXPO
 * Author URI:        https://wpxpo.com/
 * License:           GPLv3
 * License URI:       http://www.gnu.org/licenses/gpl-3.0.html
 * Text Domain:       optin
 * Domain Path:       /languages
 *
 * @package           optin
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}


define( 'OPTN_VERSION', '1.0.0' );
define( 'OPTN_DIR', plugin_dir_path( __FILE__ ) );
define( 'OPTN_URL', plugin_dir_url( __FILE__ ) );
define( 'OPTN_MIN_CAPABILITY', 'manage_options' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-plugin-name-activator.php
 */
function optn_activate_plugin() {
	require_once OPTN_DIR . 'includes/class-wowoptin-activator.php';
	OPTN_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-plugin-name-deactivator.php
 */
function optn_deactivate_plugin() {
	require_once OPTN_DIR . 'includes/class-wowoptin-deactivator.php';
	OPTN_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'optn_activate_plugin' );
register_deactivation_hook( __FILE__, 'optn_deactivate_plugin' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require OPTN_DIR . 'includes/class-wowoptin.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function optn_run_plugin() {

	$plugin = new Init();
	$plugin->run();
}

optn_run_plugin();
